@ECHO Off

set projectDir=%1
set outputDir=%2

REM Write Project path to file. Passes the Project Directory into the XSL
@echo %projectDir% > path.txt

REM Create filelist
dir %outputDir%*.htm /b /s /A-D >%projectDir%Content\file_list.txt

REM XML-ize filelist
%XSLAltova% /xslt2 xsl\convert_filelist.xsl /in xsl\filelist-dummy.xml  /out xsl\pre_list.xml

REM Stripspace from fields
%XSLAltova% /xslt2 xsl\addMetadata.xsl /in xsl\pre_list.xml  /out xsl\null.xml

REM Garbage collection
DEL path.txt
DEL xsl\pre_list.xml
DEL %projectDir%\Content\file_list.txt


